#!/bin/sh
set -eu

SERVICES='
poweralertd
clipmenu
dunst
mcron
'

unset LC_ALL
for s in $SERVICES; do
	LANG=en_US.UTF-8 herd status "$s" |
		awk -vs="$s" 'NR == 2 && $3 != "running" {
			printf "Home Shepherd service \"%s\" is not running.\n", s
			exit 1
		}'
done
